---
title: registration
slug: Web/API/SyncEvent/registration
tags:
  - DOM
  - Junk
  - Property
---
<p style="line-height: 19.0909080505371px;">{{Non-standard_header}}{{APIRef("Service Workers API")}}</p>

<p style="line-height: 19.0909080505371px;">The registration read-only property of the {{domxref("SyncEvent")}} interface returns a reference to a {{domxref("SyncRegistration")}} object.</p>

<h2 id="Syntax" style="line-height: 19.0909080505371px;">Syntax</h2>

<pre class="syntaxbox">var <em>syncReg</em> = SyncEvent.registration</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("SyncRegistration")}} object</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SyncEvent.registration")}}</p>
</div>
